com.holonplatform.datastore.jpa.internal

## Class DefaultJpaTarget<T>

- java.lang.Object
- - com.holonplatform.core.internal.DefaultPath<T>
  - - com.holonplatform.core.internal.datastore.DefaultDataTarget<T>
    - - com.holonplatform.datastore.jpa.internal.DefaultJpaTarget<T>

- All Implemented Interfaces:
    com.holonplatform.core.DataMappable, com.holonplatform.core.DataMappable.Builder<com.holonplatform.core.Path.PathBuilder<T>>, com.holonplatform.core.datastore.DataTarget<T>, com.holonplatform.core.Expression, com.holonplatform.core.Path<T>, com.holonplatform.core.Path.Builder<T,com.holonplatform.core.Path.PathBuilder<T>>, com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.Path.PathBuilder<T>, com.holonplatform.core.query.QueryProjection<T>, com.holonplatform.core.TypedExpression<T>, JpaTarget<T>, Serializable

      public class DefaultJpaTarget<T>
      extends com.holonplatform.core.internal.datastore.DefaultDataTarget<T>
      implements JpaTarget<T>

  Default `JpaTarget` implementation
  Since:
    4.5.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DataTarget

      `com.holonplatform.core.datastore.DataTarget.DataTargetResolver<T extends com.holonplatform.core.datastore.DataTarget>, com.holonplatform.core.datastore.DataTarget.DataTargetSupport<C extends com.holonplatform.core.datastore.DataTarget.DataTargetSupport<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path.FinalPath

      `com.holonplatform.core.Path.FinalPath.FinalPathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `com.holonplatform.core.Path.Builder<T,B extends com.holonplatform.core.Path.Builder<T,B>>, com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJpaTarget(Class<? extends T> entityClass)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class com.holonplatform.core.internal.datastore.DefaultDataTarget

      `toString`

    - ### Methods inherited from class com.holonplatform.core.internal.DefaultPath

      `dataPath, getDataPath, getName, getParent, getType, parent, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.JpaTarget

      `getEntityClass, nameResolver, of`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataTarget

      `named, of, property, property, property, property, property, property, property`

    - ### Methods inherited from interface com.holonplatform.core.Path.FinalPath

      `getParent, of`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, isRootPath, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

- - ### Constructor Detail

    - #### DefaultJpaTarget

          public DefaultJpaTarget(Class<? extends T> entityClass)

      Constructor.
      Parameters:
        `entityClass` - Entity class (not null)

Copyright © 2019 The Holon Platform. All rights reserved.